The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"Проблема с автоматической загрузкой модулей ядра."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [Проследить за развитием треда]

"Проблема с автоматической загрузкой модулей ядра." 
Сообщение от harlan emailИскать по авторуВ закладки(ok) on 20-Авг-05, 17:59  (MSK)
OS ALT Linux. Решил мигрировать с ядра 2.4.27 на ядро 2.6.9.
Распаковал. Сделал
make mrproper
make menuconfig

Включил нужные опции, включая
Enable loadable module support
Module unloading
Forced module unloading
Module versioning support
Automatic kernel module loading

make
make modules_install
make install
Собралось и поставилось без ошибок.
Почему-то вместо /etc/modules.conf появился /etc/modprobe.conf
Ну ладно.
Перегружаю систему с новым ядром.
При инициализации не загрузился iptables и не поднялись сетевые интерфейсы Ethernet.
Попытка отдать комманды в ручную сообщили, что не загружены соответствующие модули.
Делаю
# modprobe iptable_raw
# modprobe iptable_filter
# modprobe iptable_nat
# modprobe iptable_mangle
Система их хавает и далее iptables работает нормально.
Тоже и с сетевыми интерфейсами
# modprobe e100
# modprobe 8139too
# ifup eth0
# ifup eth1
Теперь всё в порядке.

Но в ядре 2.4.27 всё работало нормально.
Скажите, нормальное ли это поведение ядра, и если нет, то как это победить?

  Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Индекс форумов | Темы | Пред. тема | След. тема
Сообщения по теме

1. "Проблема с автоматической загрузкой модулей ядра." 
Сообщение от Dig Искать по авторуВ закладки on 20-Авг-05, 19:03  (MSK)
Для ветки 2.6 нужно поставить module-init-tools, тогда модули будут загружаться без проблем :)
  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "Проблема с автоматической загрузкой модулей ядра." 
Сообщение от harlan emailИскать по авторуВ закладки(ok) on 20-Авг-05, 21:27  (MSK)
>Для ветки 2.6 нужно поставить module-init-tools, тогда модули будут загружаться без проблем
>:)
Ставил.
Пока не поставил (точнее, не обновил) этот пакет, ядро ставилось с кучей ошибок вида
depmod: *** Unresolved symbols...


  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх


Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ]
Пожалуйста, прежде чем написать сообщение, ознакомьтесь с данными рекомендациями.




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру